Subject: qbittorrent: file creation on startup creates huge loadavg spike

From: lkcl <[email-masked]>
Date: Fri, 22 Nov 2013 20:00:56 +0000

Package: qbittorrent
Version: 2.9.8-1
Severity: normal

the previous version was absolutely fine.  this current version performs
extremely badly.  basically what happened on the previous version was that
a sparse file was created.  this version however does something incredibly
stupid: they create an initially-blank but full-sized file.  as that can
sometimes involve writing out a 1gbyte or a 4gbyte file it absolutely
hammers any system, rendering it completely unusable for several seconds
due to the I/O overload.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages qbittorrent depends on:
ii  geoip-da 1.4.6.dfsg-17                   IP lookup command line tools that 
ii  libboost 1.49.0-3.2                      filesystem operations (portable pa
ii  libboost 1.49.0-3.2                      Operating system (e.g. diagnostics
ii  libc6    2.17-3                          Embedded GNU C Library: Shared lib
ii  libgcc1  1:4.7.2-5                       GCC support library
ii  libqt4-d 4:4.8.5+git121-g2a9ea11+dfsg1-2 Qt 4 D-Bus module
ii  libqt4-n 4:4.8.5+git121-g2a9ea11+dfsg1-2 Qt 4 network module
ii  libqt4-x 4:4.8.5+git121-g2a9ea11+dfsg1-2 Qt 4 XML module
ii  libqtcor 4:4.8.5+git121-g2a9ea11+dfsg1-2 Qt 4 core module
ii  libqtgui 4:4.8.5+git121-g2a9ea11+dfsg1-2 Qt 4 GUI module
ii  libssl1. 1.0.1e-3                        SSL shared libraries
ii  libstdc+ 4.7.2-5                         GNU Standard C++ Library v3
ii  libtorre 0.15.10-1+b1                    C++ bittorrent library by Rasterba
ii  python   2.7.3~rc2-1                     interactive high-level object-orie

qbittorrent recommends no packages.

Versions of packages qbittorrent suggests:
pn  qbittorrent-dbg               <none>     (no description available)

-- no debconf information